Skip to main content
Astra Automation
본 한국어 번역은 사용자 편의를 위해 제공되는 기계 번역입니다. 영어 버전과 한국어 버전이 서로 어긋나는 경우에는 언제나 영어 버전이 우선합니다.

모든 기능 나열

GET /accounts/{account_id}/core/v1/features

컬렉션에서 일치하는 모든 리소스를 JSON 배열로 반환합니다. 요청에 개별 필드가 지정된 경우, items JSON 배열에는 지정된 순서대로 각 일치하는 리소스에 대해 요청된 필드가 포함됩니다.

매개변수

이름 유형 에서 필수 요소입니다 설명

account_id

문자열

경로

포함하는 계정 리소스의 ID

  • 예: {{.Account}}

포함

문자열

쿼리

거짓

컬렉션 목록을 표시할 때 어떤 필드를 반환해야 하는지 지정합니다.

URL 예: "include=id", "include=id,name"

OpenAPI 예: "id"

제한

문자열

쿼리

거짓

컬렉션 목록을 표시할 때 반환할 최대 리소스 수를 나타냅니다.

URL 예: "limit=2"

OpenAPI 예: "2"

필터

문자열

쿼리

거짓

컬렉션 목록을 표시할 때 리소스를 반환하기 위해 어떤 필드를 일치시켜야 하는지를 나타냅니다.

지원되는 연산자는 다음과 같습니다.

  • eq - 같음

  • lt/gt - 미만/초과

  • lte/gte - 이하/이상

URL 예: "filter=field%20eq%20%27value%27"

OpenAPI 예: "field eq 'value'"

카운트

문자열

쿼리

거짓

메타데이터 개체에서 총 리소스 수를 반환해야 하는지 여부를 나타냅니다.

URL 예: "count=true"

OpenAPI 예: "true"

주문

문자열

쿼리

거짓

컬렉션을 나열할 때 리소스의 정렬 순서를 나타냅니다.

URL 예시: "orderBy=name", "orderBy=name%20desc"

OpenAPI 예: "name desc"

건너뛰기

문자열

쿼리

거짓

컬렉션 목록을 작성할 때 건너뛸 리소스의 수를 나타냅니다.

URL 예: "skip=1"

OpenAPI 예제: "1"

응답

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
이름 유형 필수 요소입니다 설명

항목

array[다음 중 하나: "feature_1.1_get_response_body", array[]]

메타데이터

"type_astra_메타데이터_목록"

응답 예
{
  "type": "application/astra-features",
  "version": "1.1",
  "items": [
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "c1d4d2f7-9b30-45a2-9657-8b24f17a4fd1",
      "name": "astra.account.rbac",
      "isEnabled": "true",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    },
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "85c693cd-2f89-4944-982a-e885301162bd",
      "name": "astra.account.smtp",
      "isEnabled": "false",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    }
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

응답

Status: 401, Unauthorized
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

응답 예
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

응답

Status: 400, Bad request
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

invalidParams

배열["invalidParams"]

거짓

유효하지 않은 쿼리 매개변수 목록

응답 예
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

응답

Status: 403, Forbidden
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

응답 예
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

응답

Status: 503, Service unavailable
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

응답 예
{
  "type": "https://astra.netapp.io/problems/41",
  "title": "Service not ready",
  "detail": "Currently, the service can't respond to this request.",
  "status": "503"
}

오류

Status: 404, Not found
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

예시 오류 응답
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

정의

정의를 참조하세요

type_astra_label

이름 유형 필수 요소입니다 설명

이름

문자열

문자열

type_astra_메타데이터

리소스와 연결된 클라이언트 및 서비스 지정 메타데이터입니다. 정의된 값은 다음과 같습니다.

  • Astra 메타데이터 스키마를 준수합니다.

이름 유형 필수 요소입니다 설명

라벨

배열["type_astra_label"]

CreationTimestamp 를 클릭합니다

문자열

modificationTimestamp

문자열

생성 시

문자열

modifiedBy

문자열

거짓

feature_1.1_get_response_body

이름 유형 필수 요소입니다 설명

유형

문자열

리소스의 미디어 유형입니다. 정의된 값은 다음과 같습니다.

  • "application/astra-feature"

버전

문자열

리소스 버전입니다. 정의된 값은 다음과 같습니다.

  • "1.0"

  • "1.1"

ID입니다

문자열

리소스의 전역 고유 식별자입니다. 정의된 값은 다음과 같습니다.

  • UUIDv4 스키마를 준수합니다.

이름

문자열

계층적 점 표기법으로 표현된 기능 이름을 포함하는 JSON 문자열입니다. 정의된 값은 다음과 같습니다.

  • 최소 길이: 1

  • 최대 길이: 63

  • 이 문자열은 XSS, 유니코드, 디렉터리 탐색 및 SQL 인젝션 공격을 방지하기 위해 내부적으로 유효성 검사를 거칩니다.

isEnabled

문자열

기능 플래그가 켜져 있는지 꺼져 있는지를 나타내는 값을 포함하는 JSON 문자열입니다. 정의된 값은 다음과 같습니다.

  • "true" - 기능 플래그가 활성화되었습니다.

  • "false" - 기능 플래그가 비활성화되었습니다.

메타데이터

"type_astra_메타데이터"

리소스와 연결된 클라이언트 및 서비스 지정 메타데이터입니다. 정의된 값은 다음과 같습니다.

  • Astra 메타데이터 스키마를 준수합니다.

type_astra_메타데이터_목록

이름 유형 필수 요소입니다 설명

계속

문자열

거짓

카운트

숫자

거짓

라벨

배열["type_astra_label"]

거짓

CreationTimestamp 를 클릭합니다

문자열

거짓

modificationTimestamp

문자열

거짓

생성 시

문자열

거짓

modifiedBy

문자열

거짓

invalidParams

이름 유형 필수 요소입니다 설명

이름

문자열

잘못된 쿼리 매개변수의 이름

이유

문자열

쿼리 매개변수가 유효하지 않은 이유